Index: cpukit/sapi/include/confdefs.h
===================================================================
--- cpukit/sapi/include/confdefs.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/confdefs.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,30 +1,30 @@
 /**
- * @file rtems/confdefs.h
+ * @file
  *
  * @brief Configuration Table Template that will be Instantiated
  * by an Application
  *
- *  This include file contains the configuration table template that will
- *  be instantiated by an application based on the setting of a number
- *  of macros.  The macros are documented in the Configuring a System
- *  chapter of the Classic API User's Guide
- *
- *  The model is to estimate the memory required for each configured item
- *  and sum those estimates.  The estimate can be too high or too low for
- *  a variety of reasons:
- *
- *  Reasons estimate is too high:
- *    + FP contexts (not all tasks are FP)
- *
- *  Reasons estimate is too low:
- *    + stacks greater than minimum size
- *    + messages
- *    + application must account for device driver resources
- *    + application must account for add-on library resource requirements
- *
- *  NOTE:  Eventually this may be able to take into account some of
- *         the above.  This procedure has evolved from just enough to
- *         support the RTEMS Test Suites into something that can be
- *         used remarkably reliably by most applications.
+ * This include file contains the configuration table template that will
+ * be instantiated by an application based on the setting of a number
+ * of macros.  The macros are documented in the Configuring a System
+ * chapter of the Classic API User's Guide
+ *
+ * The model is to estimate the memory required for each configured item
+ * and sum those estimates.  The estimate can be too high or too low for
+ * a variety of reasons:
+ *
+ * Reasons estimate is too high:
+ *   + FP contexts (not all tasks are FP)
+ *
+ * Reasons estimate is too low:
+ *   + stacks greater than minimum size
+ *   + messages
+ *   + application must account for device driver resources
+ *   + application must account for add-on library resource requirements
+ *
+ * NOTE:  Eventually this may be able to take into account some of
+ *        the above.  This procedure has evolved from just enough to
+ *        support the RTEMS Test Suites into something that can be
+ *        used remarkably reliably by most applications.
  */
 
@@ -62,6 +62,6 @@
 
 /**
- *  This macro determines whether the RTEMS reentrancy support for
- *  the Newlib C Library is enabled.
+ * This macro determines whether the RTEMS reentrancy support for
+ * the Newlib C Library is enabled.
  */
 #ifdef RTEMS_SCHEDSIM
@@ -111,7 +111,7 @@
 
 /**
- *  This macro defines the number of POSIX file descriptors allocated
- *  and managed by libio.  These are the "integer" file descriptors that
- *  are used by calls like open(2) and read(2).
+ * This macro defines the number of POSIX file descriptors allocated
+ * and managed by libio.  These are the "integer" file descriptors that
+ * are used by calls like open(2) and read(2).
  */
 #ifndef CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS
@@ -120,5 +120,5 @@
 
 /**
- *  Semaphore count used by the IO library.
+ * Semaphore count used by the IO library.
  */
 #define CONFIGURE_LIBIO_SEMAPHORES 1
@@ -126,6 +126,6 @@
 #ifdef CONFIGURE_INIT
   /**
-   *  When instantiating the configuration tables, this variable is
-   *  initialized to specify the maximum number of file descriptors.
+   * When instantiating the configuration tables, this variable is
+   * initialized to specify the maximum number of file descriptors.
    */
   uint32_t rtems_libio_number_iops = CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS;
@@ -133,7 +133,7 @@
 
 /**
- *  This macro determines if termios is disabled by this application.
- *  This only means that resources will not be reserved.  If you end
- *  up using termios, it will fail.
+ * This macro determines if termios is disabled by this application.
+ * This only means that resources will not be reserved.  If you end
+ * up using termios, it will fail.
  */
 #ifdef CONFIGURE_TERMIOS_DISABLED
@@ -141,6 +141,6 @@
 #else
   /**
-   *  This macro specifies the number of serial or PTY ports that will
-   *  use termios.
+   * This macro specifies the number of serial or PTY ports that will
+   * use termios.
    */
   #ifndef CONFIGURE_NUMBER_OF_TERMIOS_PORTS
@@ -149,6 +149,6 @@
 
   /**
-   *  This macro reserves the number of semaphores required by termios
-   *  based upon the number of communication ports that will use it.
+   * This macro reserves the number of semaphores required by termios
+   * based upon the number of communication ports that will use it.
    */
   #define CONFIGURE_TERMIOS_SEMAPHORES \
@@ -157,6 +157,6 @@
 
 /**
- *  This macro specifies the number of PTYs that can be concurrently
- *  active.
+ * This macro specifies the number of PTYs that can be concurrently
+ * active.
  */
 #ifndef CONFIGURE_MAXIMUM_PTYS
@@ -165,6 +165,6 @@
 
 /**
- *  This variable contains the maximum number of PTYs that can be
- *  concurrently active.
+ * This variable contains the maximum number of PTYs that can be
+ * concurrently active.
  */
 #ifdef CONFIGURE_INIT
@@ -289,8 +289,8 @@
 
 /**
- *  This specifies the number of bytes per block for files within the IMFS.
- *  There are a maximum number of blocks per file so this dictates the maximum
- *  size of a file.  This has to be balanced with the unused portion of each
- *  block that might be wasted.
+ * This specifies the number of bytes per block for files within the IMFS.
+ * There are a maximum number of blocks per file so this dictates the maximum
+ * size of a file.  This has to be balanced with the unused portion of each
+ * block that might be wasted.
  */
 #ifndef CONFIGURE_IMFS_MEMFILE_BYTES_PER_BLOCK
@@ -300,5 +300,5 @@
 
 /**
- *  This defines the miniIMFS file system table entry.
+ * This defines the miniIMFS file system table entry.
  */
 #if !defined(CONFIGURE_FILESYSTEM_ENTRY_miniIMFS) && \
@@ -310,5 +310,5 @@
 
 /**
- *  Internall it is called FIFOs not pipes
+ * Internall it is called FIFOs not pipes
  */
 #if defined(CONFIGURE_PIPES_ENABLED)
@@ -318,5 +318,5 @@
 #ifndef RTEMS_SCHEDSIM
 /**
- *  This defines the IMFS file system table entry.
+ * This defines the IMFS file system table entry.
  */
 #if !defined(CONFIGURE_FILESYSTEM_ENTRY_IMFS) && \
@@ -333,5 +333,5 @@
 
 /**
- *  This sets up the resources for the PIPES/FIFOs
+ * This sets up the resources for the PIPES/FIFOs
  */
 #if defined(CONFIGURE_FIFOS_ENABLED)
@@ -419,11 +419,11 @@
 
   /**
-   *  DEVFS variables.
+   * DEVFS variables.
    *
-   *  The number of individual devices that may be registered
-   *  in the system or the CONFIGURE_MAXIMUM_DEVICES variable
-   *  is defaulted to 4 when a filesystem is enabled, unless
-   *  the bsp overwrides this.  In which case the value is set
-   *  to BSP_MAXIMUM_DEVICES.
+   * The number of individual devices that may be registered
+   * in the system or the CONFIGURE_MAXIMUM_DEVICES variable
+   * is defaulted to 4 when a filesystem is enabled, unless
+   * the bsp overwrides this.  In which case the value is set
+   * to BSP_MAXIMUM_DEVICES.
    */
   #ifdef CONFIGURE_FILESYSTEM_DEVFS
@@ -533,5 +533,5 @@
 
 /**
- *  This configures the stack checker user extension.
+ * This configures the stack checker user extension.
  */
 #ifdef CONFIGURE_STACK_CHECKER_ENABLED
@@ -542,32 +542,32 @@
 
 /**
- *  @brief Maximum Priority configuration
- *
- *  This configures the maximum priority value that
- *  a task may have.
- *
- *  The following applies to the data space requirements
- *  of the Priority Scheduler.
- *
- *  By reducing the number of priorities in a system,
- *  the amount of RAM required by RTEMS can be significantly
- *  reduced.  RTEMS allocates a Chain_Control structure per
- *  priority and this structure contains 3 pointers.  So
- *  the default is (256 * 12) = 3K on 32-bit architectures.
- *
- *  This must be one less than a power of 2 between
- *  4 and 256.  Valid values along with the application
- *  priority levels and memory saved when pointers are
- *  32-bits in size are:
- *
- *    + 3,  2 application priorities, 3024 bytes saved
- *    + 7, 5 application priorities, 2976 bytes saved
- *    + 15, 13 application priorities, 2880 bytes saved
- *    + 31, 29 application priorities, 2688 bytes saved
- *    + 63, 61 application priorities, 2304 bytes saved
- *    + 127, 125 application priorities, 1536 bytes saved
- *    + 255, 253 application priorities, 0 bytes saved
- *
- *  It is specified in terms of Classic API priority values.
+ * @brief Maximum priority configuration.
+ *
+ * This configures the maximum priority value that
+ * a task may have.
+ *
+ * The following applies to the data space requirements
+ * of the Priority Scheduler.
+ *
+ * By reducing the number of priorities in a system,
+ * the amount of RAM required by RTEMS can be significantly
+ * reduced.  RTEMS allocates a Chain_Control structure per
+ * priority and this structure contains 3 pointers.  So
+ * the default is (256 * 12) = 3K on 32-bit architectures.
+ *
+ * This must be one less than a power of 2 between
+ * 4 and 256.  Valid values along with the application
+ * priority levels and memory saved when pointers are
+ * 32-bits in size are:
+ *
+ *   + 3,  2 application priorities, 3024 bytes saved
+ *   + 7, 5 application priorities, 2976 bytes saved
+ *   + 15, 13 application priorities, 2880 bytes saved
+ *   + 31, 29 application priorities, 2688 bytes saved
+ *   + 63, 61 application priorities, 2304 bytes saved
+ *   + 127, 125 application priorities, 1536 bytes saved
+ *   + 255, 253 application priorities, 0 bytes saved
+ *
+ * It is specified in terms of Classic API priority values.
  */
 #ifndef CONFIGURE_MAXIMUM_PRIORITY
@@ -730,10 +730,10 @@
 
 /**
- *  @brief Idle task body configuration
- *
- *  There is a default IDLE thread body provided by RTEMS which
- *  has the possibility of being CPU specific.  There may be a
- *  BSP specific override of the RTEMS default body and in turn,
- *  the application may override and provide its own.
+ * @brief Idle task body configuration.
+ *
+ * There is a default IDLE thread body provided by RTEMS which
+ * has the possibility of being CPU specific.  There may be a
+ * BSP specific override of the RTEMS default body and in turn,
+ * the application may override and provide its own.
  */
 #ifndef CONFIGURE_IDLE_TASK_BODY
@@ -756,5 +756,5 @@
 
 /**
- *  By default, use the minimum stack size requested by this port.
+ * By default, use the minimum stack size requested by this port.
  */
 #ifndef CONFIGURE_MINIMUM_TASK_STACK_SIZE
@@ -766,8 +766,8 @@
 
 /**
- *  @brief Idle task stack size configuration
- *
- *  By default, the IDLE task will have a stack of minimum size.
- *  The BSP or application may override this value.
+ * @brief Idle task stack size configuration.
+ *
+ * By default, the IDLE task will have a stack of minimum size.
+ * The BSP or application may override this value.
  */
 #ifndef CONFIGURE_IDLE_TASK_STACK_SIZE
@@ -783,8 +783,8 @@
 
 /**
- *  @brief Interrupt stack size configuration
- *
- *  By default, the interrupt stack will be of minimum size.
- *  The BSP or application may override this value.
+ * @brief Interrupt stack size configuration.
+ *
+ * By default, the interrupt stack will be of minimum size.
+ * The BSP or application may override this value.
  */
 #ifndef CONFIGURE_INTERRUPT_STACK_SIZE
@@ -797,9 +797,9 @@
 
 /**
- *  This reserves memory for the interrupt stack if it is to be allocated
- *  by RTEMS rather than the BSP.
- *
- *  @todo Try to get to the point where all BSPs support allocating the
- *        memory from the Workspace.
+ * This reserves memory for the interrupt stack if it is to be allocated
+ * by RTEMS rather than the BSP.
+ *
+ * @todo Try to get to the point where all BSPs support allocating the
+ *       memory from the Workspace.
  */
 #if (CPU_ALLOCATE_INTERRUPT_STACK == 0)
@@ -811,5 +811,5 @@
 
 /**
- *  Configure the very much optional task stack allocator initialization
+ * Configure the very much optional task stack allocator initialization
  */
 #ifndef CONFIGURE_TASK_STACK_ALLOCATOR_INIT
@@ -832,6 +832,6 @@
 
 /**
- *  Should the RTEMS Workspace and C Program Heap be cleared automatically
- *  at system start up?
+ * Should the RTEMS Workspace and C Program Heap be cleared automatically
+ * at system start up?
  */
 #ifndef CONFIGURE_ZERO_WORKSPACE_AUTOMATICALLY
@@ -852,8 +852,8 @@
 #ifdef CONFIGURE_INIT
   /**
-   *  By default, RTEMS uses separate heaps for the RTEMS Workspace and
-   *  the C Program Heap.  On many BSPs, these can be optionally
-   *  combined provided one larger memory pool. This is particularly
-   *  useful in combination with the unlimited objects configuration.
+   * By default, RTEMS uses separate heaps for the RTEMS Workspace and
+   * the C Program Heap.  On many BSPs, these can be optionally
+   * combined provided one larger memory pool. This is particularly
+   * useful in combination with the unlimited objects configuration.
    */
   #ifdef BSP_DEFAULT_UNIFIED_WORK_AREAS
@@ -873,6 +873,6 @@
 #ifdef CONFIGURE_INIT
   /**
-   *  This configures the malloc family statistics to be available.
-   *  By default only function call counts are kept.
+   * This configures the malloc family statistics to be available.
+   * By default only function call counts are kept.
    */
   rtems_malloc_statistics_functions_t *rtems_malloc_statistics_helpers =
@@ -886,8 +886,8 @@
 #ifdef CONFIGURE_INIT
   /**
-   *  This configures the sbrk() support for the malloc family.
-   *  By default it is assumed that the BSP provides all available
-   *  RAM to the malloc family implementation so sbrk()'ing to get
-   *  more memory would always fail anyway.
+   * This configures the sbrk() support for the malloc family.
+   * By default it is assumed that the BSP provides all available
+   * RAM to the malloc family implementation so sbrk()'ing to get
+   * more memory would always fail anyway.
    */
   const rtems_heap_extend_handler rtems_malloc_extend_handler =
@@ -901,7 +901,7 @@
 #ifdef CONFIGURE_INIT
   /**
-   *  This configures the malloc family plugin which dirties memory
-   *  allocated.  This is helpful for finding unitialized data structure
-   *  problems.
+   * This configures the malloc family plugin which dirties memory
+   * allocated.  This is helpful for finding unitialized data structure
+   * problems.
    */
   rtems_malloc_dirtier_t rtems_malloc_dirty_helper =
@@ -914,8 +914,8 @@
 
 /**
- *  This is a helper macro used in calculations in this file.  It is used
- *  to noted when an element is allocated from the RTEMS Workspace and adds
- *  a factor to account for heap overhead plus an alignment factor that
- *  may be applied.
+ * This is a helper macro used in calculations in this file.  It is used
+ * to noted when an element is allocated from the RTEMS Workspace and adds
+ * a factor to account for heap overhead plus an alignment factor that
+ * may be applied.
  */
 #define _Configure_From_workspace(_size) \
@@ -923,7 +923,7 @@
 
 /**
- *  This is a helper macro used in stack space calculations in this file.  It
- *  may be provided by the application in case a special task stack allocator
- *  is used.  The default is allocation from the RTEMS Workspace.
+ * This is a helper macro used in stack space calculations in this file.  It
+ * may be provided by the application in case a special task stack allocator
+ * is used.  The default is allocation from the RTEMS Workspace.
  */
 #ifdef CONFIGURE_TASK_STACK_FROM_ALLOCATOR
@@ -936,6 +936,6 @@
 
 /**
- *  Do not use the unlimited bit as part of the multiplication
- *  for memory usage.
+ * Do not use the unlimited bit as part of the multiplication
+ * for memory usage.
  */
 #define _Configure_Max_Objects(_max) \
@@ -943,9 +943,9 @@
 
 /**
- *  This macro accounts for how memory for a set of configured objects is
- *  allocated from the Executive Workspace.
- *
- *  NOTE: It does NOT attempt to address the more complex case of unlimited
- *        objects.
+ * This macro accounts for how memory for a set of configured objects is
+ * allocated from the Executive Workspace.
+ *
+ * NOTE: It does NOT attempt to address the more complex case of unlimited
+ *       objects.
  */
 #define _Configure_Object_RAM(_number, _size) \
@@ -1157,7 +1157,7 @@
 
 /**
- *  This specifies the maximum number of device drivers that
- *  can be installed in the system at one time.  It must account
- *  for both the statically and dynamically installed drivers.
+ * This specifies the maximum number of device drivers that
+ * can be installed in the system at one time.  It must account
+ * for both the statically and dynamically installed drivers.
  */
 #ifndef CONFIGURE_MAXIMUM_DRIVERS
@@ -1486,8 +1486,8 @@
 
   /**
-   *  This macro calculates the memory required for task variables.
+   * This macro calculates the memory required for task variables.
    *
-   *  @note Each task variable is individually allocated from the Workspace.
-   *        Hence, we do the multiplication on the configured size.
+   * NOTE: Each task variable is individually allocated from the Workspace.
+   *       Hence, we do the multiplication on the configured size.
    */
   #ifndef CONFIGURE_MAXIMUM_TASK_VARIABLES
@@ -1663,6 +1663,6 @@
 
   /**
-   *  Account for the object control structures plus the name
-   *  of the object to be duplicated.
+   * Account for the object control structures plus the name
+   * of the object to be duplicated.
    */
   #define _Configure_POSIX_Named_Object_RAM(_number, _size) \
@@ -1857,13 +1857,13 @@
 
   /**
-   *  The GNAT run-time needs something less than (10) POSIX mutexes.
-   *  We may be able to get by with less but why bother.
+   * The GNAT run-time needs something less than (10) POSIX mutexes.
+   * We may be able to get by with less but why bother.
    */
   #define CONFIGURE_GNAT_MUTEXES 10
 
   /**
-   *  This is the maximum number of Ada tasks which can be concurrently
-   *  in existence.  Twenty (20) are required to run all tests in the
-   *  ACATS (formerly ACVC).
+   * This is the maximum number of Ada tasks which can be concurrently
+   * in existence.  Twenty (20) are required to run all tests in the
+   * ACATS (formerly ACVC).
    */
   #ifndef CONFIGURE_MAXIMUM_ADA_TASKS
@@ -1920,6 +1920,6 @@
 #ifndef RTEMS_SCHEDSIM
 /**
- *  This macro specifies the amount of memory to be reserved for the
- *  Newlib C Library reentrancy structure -- if we are using newlib.
+ * This macro specifies the amount of memory to be reserved for the
+ * Newlib C Library reentrancy structure -- if we are using newlib.
  */
 
@@ -1938,6 +1938,6 @@
 
 /**
- *  This is so we can account for tasks with stacks greater than minimum
- *  size.  This is in bytes.
+ * This is so we can account for tasks with stacks greater than minimum
+ * size.  This is in bytes.
  */
 #ifndef CONFIGURE_EXTRA_TASK_STACKS
@@ -1952,8 +1952,8 @@
 
 /**
- *  Account for allocating the following per object
- *    + array of object control structures
- *    + local pointer table -- pointer per object plus a zero'th
- *      entry in the local pointer table.
+ * Account for allocating the following per object
+ *   + array of object control structures
+ *   + local pointer table -- pointer per object plus a zero'th
+ *     entry in the local pointer table.
  */
 
@@ -1977,6 +1977,6 @@
 
 /**
- *  This defines the amount of memory configured for the multiprocessing
- *  support required by this application.
+ * This defines the amount of memory configured for the multiprocessing
+ * support required by this application.
  */
 #ifdef CONFIGURE_MP_APPLICATION
@@ -1992,7 +1992,7 @@
 
 /**
- *  The following macro is used to calculate the memory allocated by RTEMS
- *  for the message buffers associated with a particular message queue.
- *  There is a fixed amount of overhead per message.
+ * The following macro is used to calculate the memory allocated by RTEMS
+ * for the message buffers associated with a particular message queue.
+ * There is a fixed amount of overhead per message.
  */
 #define CONFIGURE_MESSAGE_BUFFERS_FOR_QUEUE(_messages, _size) \
@@ -2001,7 +2001,7 @@
 
 /**
- *  This macros is set to the amount of memory required for pending message
- *  buffers in bytes.  It should be constructed by adding together a
- *  set of values determined by CONFIGURE_MESSAGE_BUFFERS_FOR_QUEUE.
+ * This macros is set to the amount of memory required for pending message
+ * buffers in bytes.  It should be constructed by adding together a
+ * set of values determined by CONFIGURE_MESSAGE_BUFFERS_FOR_QUEUE.
  */
 #ifndef CONFIGURE_MESSAGE_BUFFER_MEMORY
@@ -2010,14 +2010,14 @@
 
 /**
- *  This macro is available just in case the confdefs.h file underallocates
- *  memory for a particular application.  This lets the user add some extra
- *  memory in case something broken and underestimates.
- *
- *  It is also possible for cases where confdefs.h overallocates memory,
- *  you could substract memory from the allocated.  The estimate is just
- *  that, an estimate, and assumes worst case alignment and padding on
- *  each allocated element.  So in some cases it could be too conservative.
- *
- *  @note Historically this was used for message buffers.
+ * This macro is available just in case the confdefs.h file underallocates
+ * memory for a particular application.  This lets the user add some extra
+ * memory in case something broken and underestimates.
+ *
+ * It is also possible for cases where confdefs.h overallocates memory,
+ * you could substract memory from the allocated.  The estimate is just
+ * that, an estimate, and assumes worst case alignment and padding on
+ * each allocated element.  So in some cases it could be too conservative.
+ *
+ * NOTE: Historically this was used for message buffers.
  */
 #ifndef CONFIGURE_MEMORY_OVERHEAD
@@ -2026,8 +2026,8 @@
 
 /**
- *  On architectures that use Simple Vectored Interrupts, it is RTEMS
- *  responsibility to allocate the vector table.  This avoids reserving
- *  the memory on architectures that use the Programmable Interrupt
- *  Controller Vectored Interrupts.
+ * On architectures that use Simple Vectored Interrupts, it is RTEMS
+ * responsibility to allocate the vector table.  This avoids reserving
+ * the memory on architectures that use the Programmable Interrupt
+ * Controller Vectored Interrupts.
  */
 #if (CPU_SIMPLE_VECTORED_INTERRUPTS == TRUE)
@@ -2051,6 +2051,6 @@
 
 /**
- *  RTEMS uses one instance of an internal mutex class.  This accounts
- *  for that mutex
+ * RTEMS uses one instance of an internal mutex class.  This accounts
+ * for that mutex
  */
 #define CONFIGURE_API_MUTEX_MEMORY \
@@ -2058,6 +2058,6 @@
 
 /**
- *  This calculates the amount of memory reserved for the IDLE tasks.
- *  In an SMP system, each CPU core has its own idle task.
+ * This calculates the amount of memory reserved for the IDLE tasks.
+ * In an SMP system, each CPU core has its own idle task.
  */
 #if defined(RTEMS_SMP)
@@ -2068,6 +2068,6 @@
 
 /**
- *  This defines the formula used to compute the amount of memory
- *  reserved for IDLE task control structures.
+ * This defines the formula used to compute the amount of memory
+ * reserved for IDLE task control structures.
  */
 #define CONFIGURE_MEMORY_FOR_IDLE_TASK \
@@ -2075,5 +2075,5 @@
 
 /**
- *  This macro accounts for general RTEMS system overhead.
+ * This macro accounts for general RTEMS system overhead.
  */
 #define CONFIGURE_MEMORY_FOR_SYSTEM_OVERHEAD \
@@ -2086,6 +2086,6 @@
 
 /**
- *  This macro provides a summation of the various task and thread
- *  requirements.
+ * This macro provides a summation of the various task and thread
+ * requirements.
  */
 #define CONFIGURE_TOTAL_TASKS_AND_THREADS \
@@ -2095,6 +2095,6 @@
 
 /**
- *  This macro reserves the memory required by the statically configured
- *  user extensions.
+ * This macro reserves the memory required by the statically configured
+ * user extensions.
  */
 #define CONFIGURE_MEMORY_FOR_STATIC_EXTENSIONS \
@@ -2106,6 +2106,6 @@
 
 /**
- *  This macro provides a summation of the memory required by the
- *  Classic API as configured.
+ * This macro provides a summation of the memory required by the
+ * Classic API as configured.
  */
 #define CONFIGURE_MEMORY_FOR_CLASSIC \
@@ -2134,5 +2134,5 @@
 
 /**
- *  This calculates the memory required for the executive workspace.
+ * This calculates the memory required for the executive workspace.
  */
 #define CONFIGURE_EXECUTIVE_RAM_SIZE \
@@ -2156,6 +2156,6 @@
 
 /**
- *  This accounts for any extra memory required by the Classic API
- *  Initialization Task.
+ * This accounts for any extra memory required by the Classic API
+ * Initialization Task.
  */
 #if (CONFIGURE_INIT_TASK_STACK_SIZE > CONFIGURE_MINIMUM_TASK_STACK_SIZE)
@@ -2167,6 +2167,6 @@
 
 /**
- *  This accounts for any extra memory required by the POSIX API
- *  Initialization Thread.
+ * This accounts for any extra memory required by the POSIX API
+ * Initialization Thread.
  */
 #if defined(RTEMS_POSIX_API) && \
@@ -2181,6 +2181,6 @@
 
 /**
- *  This macro provides a summation of the various initialization task
- *  and thread stack requirements.
+ * This macro provides a summation of the various initialization task
+ * and thread stack requirements.
  */
 #define CONFIGURE_INITIALIZATION_THREADS_EXTRA_STACKS \
@@ -2242,5 +2242,5 @@
 #ifdef CONFIGURE_INIT
   /**
-   *  This is the Classic API Configuration Table.
+   * This is the Classic API Configuration Table.
    */
   rtems_api_configuration_table Configuration_RTEMS_API = {
@@ -2261,5 +2261,5 @@
   #ifdef RTEMS_POSIX_API
     /**
-     *  This is the POSIX API Configuration Table.
+     * This is the POSIX API Configuration Table.
      */
     posix_api_configuration_table Configuration_POSIX_API = {
@@ -2286,27 +2286,29 @@
   #endif
 
-  /** This variable specifies the minimum stack size for tasks in an RTEMS
-   *  application.
+  /** 
+   * This variable specifies the minimum stack size for tasks in an RTEMS
+   * application.
    *
-   *  @note This is left as a simple uint32_t so it can be externed as
-   *        needed without requring being high enough logical to
-   *        include the full configuration table.
+   * NOTE: This is left as a simple uint32_t so it can be externed as
+   *       needed without requring being high enough logical to
+   *       include the full configuration table.
    */
   uint32_t rtems_minimum_stack_size =
     CONFIGURE_MINIMUM_TASK_STACK_SIZE;
 
-  /** This variable specifies the maximum priority value that
-   *  a task may have.  This must be a power of 2 between 4
-   *  and 256 and is specified in terms of Classic API
-   *  priority values.
+  /** 
+   * This variable specifies the maximum priority value that
+   * a task may have.  This must be a power of 2 between 4
+   * and 256 and is specified in terms of Classic API
+   * priority values.
    *
-   *  @note This is left as a simple uint8_t so it can be externed as
-   *        needed without requring being high enough logical to
-   *        include the full configuration table.
+   * NOTE: This is left as a simple uint8_t so it can be externed as
+   *       needed without requring being high enough logical to
+   *       include the full configuration table.
    */
   uint8_t rtems_maximum_priority = CONFIGURE_MAXIMUM_PRIORITY;
 
   /**
-   *  This is the primary Configuration Table for this application.
+   * This is the primary Configuration Table for this application.
    */
   const rtems_configuration_table Configuration = {
@@ -2351,6 +2353,6 @@
 #if defined(RTEMS_SMP)
   /**
-   *  Instantiate the variable which specifies the number of CPUs
-   *  in an SMP configuration.
+   * Instantiate the variable which specifies the number of CPUs
+   * in an SMP configuration.
    */
   #if defined(CONFIGURE_INIT)
@@ -2415,9 +2417,9 @@
 #if defined(CONFIGURE_CONFDEFS_DEBUG) && defined(CONFIGURE_INIT)
   /**
-   *  This is a debug mechanism, so if you need to, the executable will
-   *  have a structure with various partial values.  Add to this as you
-   *  need to.  Viewing this structure in gdb combined with dumping
-   *  the Configuration structures generated should help a lot in tracing
-   *  down errors and analyzing where over and under allocations are.
+   * This is a debug mechanism, so if you need to, the executable will
+   * have a structure with various partial values.  Add to this as you
+   * need to.  Viewing this structure in gdb combined with dumping
+   * the Configuration structures generated should help a lot in tracing
+   * down errors and analyzing where over and under allocations are.
    */
   typedef struct {
Index: cpukit/sapi/include/rtems/cbs.h
===================================================================
--- cpukit/sapi/include/rtems/cbs.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/cbs.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,4 +1,4 @@
 /**
- * @file rtems/cbs.h
+ * @file
  *
  * @brief Constants and Structures Associated
Index: cpukit/sapi/include/rtems/chain.h
===================================================================
--- cpukit/sapi/include/rtems/chain.h	(revision f2f39b62a284afefbf8f1840255602162a9b2a01)
+++ cpukit/sapi/include/rtems/chain.h	(revision 27f071cd88134b995f562e7080ba9820f93d48df)
@@ -1,8 +1,6 @@
 /**
  * @file
- *
- * @ingroup ClassicChains
- *
- * @brief Chain API.
+ * 
+ * @brief Chain API
  */
 
@@ -34,5 +32,5 @@
  * @ingroup ClassicRTEMS
  *
- * @brief Chain API.
+ * @brief Chain API
  *
  * @{
